<script setup>
import * as inputEnums from '@/app/enums/input';
import Input from '@/app/components/crud/particles/Input.vue';

import { sendRequest } from './scripts/sendRequest';
</script>

<script>
export default {
    methods: {
        submit(event) {
            sendRequest(this, event, 'exchange/excel/import/product');
        },
    },
};
</script>

<template>
    <div class="card card-primary">
        <div class="card-header card-primary">
            {{
                __('Импорт: :type', {
                    type: __('Продукты'),
                })
            }}
        </div>

        <div class="card-body">
            <form @submit.prevent="submit">
                <Input
                    :item="{
                        label: __('fields->file'),
                        name: 'file',
                        type: inputEnums.types.file,
                        options: {},
                        wrapperSize: inputEnums.wrapperSizes.xl,
                    }"
                />

                <div class="row">
                    <div class="col">
                        <a
                            :href="booted.config.http.url.common + '/../files/product-import-excel-example.xlsx'"
                            class="btn btn-info btn-block"
                            download
                        >
                            {{ __('Скачать пример для импорта') }}
                        </a>
                    </div>

                    <div class="col">
                        <button type="submit" class="btn btn-success btn-block">
                            {{ __('Импортировать') }}
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</template>
